Get time spent rows

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/time-spents

Get the time spent rows. Add a query parameter for each column to filter on, for example name=Modeling. The name filter does not make a difference between upper case and lower case. To get the rows that have one value of a list, give the list in JSON, for example task_status_id=["",""]. To get a range of dates, give both start_date and end_date. You must be an administrator.

Query parameters

  • start_date string(date)

    Start date for date range filter

  • end_date string(date)

    End date for date range filter

  • page integer

    Page to get. Without this parameter, the response has all the rows.

  • limit integer

    Number of rows in a page. The default value is 100.

  • relations boolean

    Add the related data to each row

    Default value is false.

  • fields string

    Comma-separated list of the fields to get for each row. The response always has id and type. The names that are not fields are ignored.

Responses

  • 200 application/json

    The list of time spent rows, or a page of rows if you give page

    One of:
  • 400

    A filter is not valid

  • 403

    You are not an administrator

GET /data/time-spents
curl -X GET "http://api.example.com/data/time-spents/?page=1&limit=50&relations=false&start_date=2024-01-01&end_date=2024-01-31" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/time-spents/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "page": 1,
    "limit": 50,
    "relations": false,
    "start_date": "2024-01-01",
    "end_date": "2024-01-31"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {}
]
{
  "data": [
    {}
  ],
  "total": 100,
  "nb_pages": 2,
  "limit": 50,
  "offset": 0,
  "page": 1
}